#
# spec file for package SL-Micro-release
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# old location  was /etc/YaST2/licenses/, see jsc#SLE-3067
%define product_license_dir /usr/share/licenses/product/

%define product SL-Micro
Name:           %{product}-release
VCS: https://src.suse.de/products/Marble?subdir=000release-packages#6.0
Summary:        SUSE Linux Micro 6.0 
License:        MIT
Group:          System/Fhs
Version:        6.0
Release:        25.6
#BuildRequires:  skelcd-control-%{product}
BuildRequires:  skelcd-%{product}
BuildRequires:  skelcd-EULA-%{product}
Recommends:     branding
# in rare cases, 'ln' is not found...
Requires(post): (coreutils or busybox-coreutils)
Recommends:     issue-generator
# bsc#1078737#c7
Recommends:     release-notes-sl-micro
Provides:       distribution-release
Provides:       product(%{product}) = %{version}-%{release}
Provides:	system-installation() = %{product}

# bsc#1055299
Conflicts:      otherproviders(distribution-release)
Provides:	SUSE_MicroOS-release
Obsoletes:	SUSE_MicroOS-release
Provides:	SLE-Micro-release
Obsoletes:	SLE-Micro-release


Provides:       %name-%version
Provides:       product() = SL-Micro
Provides:       product(SL-Micro) = 6.0-1
%ifarch x86_64
Provides:       product-register-target() = sle%2D15%2Dx86_64
%endif
%ifarch s390x
Provides:       product-register-target() = sle%2D15%2Ds390x
%endif
%ifarch aarch64
Provides:       product-register-target() = sle%2D15%2Daarch64
%endif
Provides:       product-label() = SUSE%20Linux%20Micro
Provides:       product-cpeid() = cpe%3A%2Fo%3Asuse%3Asl%2Dmicro%3A6.0
Provides:       product-url(releasenotes) = https%3A%2F%2Fwww.suse.com%2Freleasenotes%2F%{_target_cpu}%2FSL%2DMicro%2F6.0%2Frelease%2Dnotes%2Dsl%2Dmicro.rpm
Provides:       product-endoflife() = 2026%2D10%2D31




# Make sure we are at SLES15 level
# TBD
PreReq:         glibc >= 2.22
Conflicts:      kernel < 4.4
Conflicts:      perl-Bootloader < 0.904


# help packagelist generator to pick -default flavor instead of vanilla, when in doubt
Suggests:	kernel-default

# old package obsoletes removed. If we support 11 SP4 migration to 15, we may
# need to re-add some.

# ./.

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# this package should only be available for the "basearchs" of a product
# i586 added as installation-images-SLES reequires it.
ExclusiveArch:  x86_64 ppc64le s390x aarch64

Source100:      weakremovers.inc
%include %{SOURCE100}

%description
SUSE Linux Micro 6.0



%prep
%setup -qcT
mkdir license
if [ -f /CD1/license.tar.gz ]; then
  tar -C license -xzf /CD1/license.tar.gz
elif [ -f %{_prefix}/lib/skelcd/CD1/license.tar.gz ]; then
  tar -C license -xzf %{_prefix}/lib/skelcd/CD1/license.tar.gz
fi

%build

%install
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_prefix}/lib/issue.d %{buildroot}/run

echo -e "\nWelcome to SUSE Linux Micro 6.0  (%{_target_cpu}) - Kernel \\\r (\\\l).\n" > $RPM_BUILD_ROOT/usr/lib/issue.d/10-SUSE
echo -e "\n" >  $RPM_BUILD_ROOT/usr/lib/issue.d/90-SUSE

#%if 0%{?betaversion}
#echo -e "This is an early sneak preview release  not intended for production environment.\n" > %{buildroot}%{_prefix}/lib/issue.d/90-ALP.conf
#%endif

mkdir -p %{buildroot}%{_sysconfdir}
cat >%{buildroot}%{_sysconfdir}/os-release << EOF
NAME="SL-Micro"
VERSION="%{version}%{?betaversion: %{betaversion}}"
VERSION_ID="%{version}"
PRETTY_NAME="SUSE Linux Micro 6.0%{?betaversion: (%{betaversion})}"
ID="sl-micro"
ID_LIKE="suse"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:suse:sl-micro:6.0"
EOF


mv  %{buildroot}%{_sysconfdir}/os-release %{buildroot}%{_prefix}/lib/os-release
ln -s ..%{_prefix}/lib/os-release %{buildroot}%{_sysconfdir}/os-release

cat << EOF >> $RPM_BUILD_ROOT/%{_prefix}/lib/os-release
HOME_URL="https://www.suse.com/products/micro/"
DOCUMENTATION_URL="https://documentation.suse.com/sl-micro/6.0/"
EOF

mkdir -p %{buildroot}%{_prefix}/lib/motd.d/
echo "Have a lot of fun..." > %{buildroot}%{_prefix}/lib/motd.d/welcome
## Bug 404141 - /etc/YaST/control.xml should be owned by some package
mkdir -p %{buildroot}%{_sysconfdir}/YaST2/
echo %{buildroot}
if [ -f /CD1/control.xml ]; then
  install -m 644 /CD1/control.xml %{buildroot}%{_sysconfdir}/YaST2/
elif [ -f %{_prefix}/lib/skelcd/CD1/control.xml ]; then
  install -m 644 %{_prefix}/lib/skelcd/CD1/control.xml %{buildroot}%{_sysconfdir}/YaST2/
fi

# enable vendor change openSUSE,SUSE for DUP from 15.3 to TW (boo#1198332)
mkdir -p %{buildroot}%{_sysconfdir}/zypp/vendors.d
echo -e "[main]\nvendors=openSUSE,SUSE,SUSE LLC <https://www.suse.com/>\n" > %{buildroot}%{_sysconfdir}/zypp/vendors.d/00-openSUSE.conf


# fate#319341, make openSUSE-release own YaST license files. TODO:
# get rid of /etc/YaST2/licenses
install -D -d -m 755 "%{buildroot}%_defaultlicensedir/product/base"
install -D -d -m 755 "%{buildroot}%_defaultlicensedir"
cp -a license "%{buildroot}%_defaultlicensedir/%name"
pushd license
for i in *; do
	ln -s "%_defaultlicensedir/%name/$i" %{buildroot}%_defaultlicensedir/product/base/$i
done

mkdir -p %{buildroot}%{_sysconfdir}/products.d
cat >%{buildroot}%{_sysconfdir}/products.d/SL-Micro.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product schemeversion="0">
  <vendor>SUSE</vendor>
  <name>SL-Micro</name>
  <version>6.0</version>
  <release>1</release>
  <endoflife>2026-10-31</endoflife>
  <arch>%{_target_cpu}</arch>
  <cpeid>cpe:/o:suse:sl-micro:6.0</cpeid>
  <productline>SL-Micro</productline>
  <codestream>
    <name>SUSE Linux Micro 6.0</name>
    <endoflife>2026-10-31</endoflife>
  </codestream>
  <register>
    <pool>
      <repository project="SUSE:Products:SL-Micro:6.0:x86_64" name="images" medium="product" arch="x86_64">
        <zypp name="SL-Micro-6.0-Pool" alias="SL-Micro-6.0-Pool"/>
      </repository>
      <repository project="SUSE:Products:SL-Micro:6.0:s390x" name="images" medium="product" arch="s390x">
        <zypp name="SL-Micro-6.0-Pool" alias="SL-Micro-6.0-Pool"/>
      </repository>
      <repository project="SUSE:Products:SL-Micro:6.0:aarch64" name="images" medium="product" arch="aarch64">
        <zypp name="SL-Micro-6.0-Pool" alias="SL-Micro-6.0-Pool"/>
      </repository>
      <repository project="SUSE:Products:SL-Micro:6.0:x86_64" name="images" medium="product_debug" arch="x86_64">
        <zypp name="SL-Micro-6.0-Debuginfo-Pool" alias="SL-Micro-6.0-Debuginfo-Pool"/>
      </repository>
      <repository project="SUSE:Products:SL-Micro:6.0:s390x" name="images" medium="product_debug" arch="s390x">
        <zypp name="SL-Micro-6.0-Debuginfo-Pool" alias="SL-Micro-6.0-Debuginfo-Pool"/>
      </repository>
      <repository project="SUSE:Products:SL-Micro:6.0:aarch64" name="images" medium="product_debug" arch="aarch64">
        <zypp name="SL-Micro-6.0-Debuginfo-Pool" alias="SL-Micro-6.0-Debuginfo-Pool"/>
      </repository>
      <repository project="SUSE:Products:SL-Micro:6.0:x86_64" name="images" medium="product_source" arch="x86_64">
        <zypp name="SL-Micro-6.0-Source-Pool" alias="SL-Micro-6.0-Source-Pool"/>
      </repository>
      <repository project="SUSE:Products:SL-Micro:6.0:s390x" name="images" medium="product_source" arch="s390x">
        <zypp name="SL-Micro-6.0-Source-Pool" alias="SL-Micro-6.0-Source-Pool"/>
      </repository>
      <repository project="SUSE:Products:SL-Micro:6.0:aarch64" name="images" medium="product_source" arch="aarch64">
        <zypp name="SL-Micro-6.0-Source-Pool" alias="SL-Micro-6.0-Source-Pool"/>
      </repository>
    </pool>
    <updates>
      <distrotarget arch="x86_64">sle-15-x86_64</distrotarget>
      <distrotarget arch="s390x">sle-15-s390x</distrotarget>
      <distrotarget arch="aarch64">sle-15-aarch64</distrotarget>
    </updates>
  </register>
  <repositories>
%ifarch x86_64
      <repository type="pool" repoid="obsproduct://build.suse.de/SUSE:Products:SL-Micro:6.0:x86_64/SL-Micro/6.0/%{_target_cpu}" />
%endif
%ifarch s390x
      <repository type="pool" repoid="obsproduct://build.suse.de/SUSE:Products:SL-Micro:6.0:s390x/SL-Micro/6.0/%{_target_cpu}" />
%endif
%ifarch aarch64
      <repository type="pool" repoid="obsproduct://build.suse.de/SUSE:Products:SL-Micro:6.0:aarch64/SL-Micro/6.0/%{_target_cpu}" />
%endif
  </repositories>
  <summary>SUSE Linux Micro 6.0</summary>
  <shortsummary>SUSE Linux Micro</shortsummary>
  <description>SUSE Linux Micro 6.0</description>
  <linguas>
    <language>en</language>
  </linguas>
  <urls>
    <url name="releasenotes">https://www.suse.com/releasenotes/%{_target_cpu}/SL-Micro/6.0/release-notes-sl-micro.rpm</url>
  </urls>
  <buildconfig>
    <producttheme>SL-Micro</producttheme>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <releasepackage name="%{name}" flag="EQ" version="%{version}" release="%{release}"/>
    <distribution>SUSE</distribution>
  </installconfig>
  <runtimeconfig/>
</product>

EOF


# this is a base product, create symlink
ln -s %{product}.prod %{buildroot}%{_sysconfdir}/products.d/baseproduct

%posttrans
# Launch the issue-generator: we have a new config file in /usr/lib/issue.d that needs to be represented
if [ -x %{_sbindir}/issue-generator ]; then
    if [ -x %{_bindir}/systemd-tmpfiles ]; then
      %{_bindir}/systemd-tmpfiles --create issue-generator.conf || :
    fi
    %{_sbindir}/issue-generator || :
fi

%files
%defattr(644,root,root,755)
%dir %_defaultlicensedir/product
%_defaultlicensedir/product/base
%license license/*
%{_sysconfdir}/os-release
%{_prefix}/lib/os-release
# Bug 404141 - /etc/YaST/control.xml should be owned by some package
# No control file for the time being
# %dir %{_sysconfdir}/YaST2/
# %config %{_sysconfdir}/YaST2/control.xml
%dir %{_sysconfdir}/zypp
%dir %{_sysconfdir}/zypp/vendors.d
%config %{_sysconfdir}/zypp/vendors.d/00-openSUSE.conf
%{_prefix}/lib/motd.d/welcome
%{_prefix}/lib/issue.d
%{_sysconfdir}/products.d

%changelog
